import board  # Import board module to access pin names
import analogio# Import analogio to work with analog inputs/outputs
import time  # Import time module to handle delays
import usb_hid
from adafruit_hid.keyboard import Keyboard
from adafruit_hid.keycode import Keycode

from adafruit_hid.mouse import Mouse

keyboard = Keyboard(usb_hid.devices)

pot = analogio.AnalogIn(board.D0)

center = 65535/2 # The center of the pot
neutral_zone = 10000 # Area on pot where there is no input

while True:
    pot_value_x = pot.value
    deviation = pot_value_x - center
    
    if abs(deviation) > neutral_zone: #abs is removing negitave values
        
        if deviation > 0:
            #keyboard.press(Keycode.KEYPAD_SIX)
            keyboard.press(Keycode.KEYPAD_EIGHT)
            print(pot_value_x)
        else:
            #keyboard.press(Keycode.KEYPAD_FOUR)
            keyboard.press(Keycode.KEYPAD_TWO)
            print(pot_value_x)
    else:
        keyboard.release_all()
    time.sleep(0.05)