import board  # Import board module to access pin names
import analogio# Import analogio to work with analog inputs/outputs
import digitalio
import time  # Import time module to handle delays
import usb_hid
from adafruit_hid.keyboard import Keyboard
from adafruit_hid.keycode import Keycode

from adafruit_hid.mouse import Mouse

keyboard = Keyboard(usb_hid.devices)

pot = analogio.AnalogIn(board.D0)

button = digitalio.DigitalInOut(board.D7)

previous_state = button.value

center = 65535/2 # The center of the pot
neutral_zone = 10000 # Area on pot where there is no input

toggle = 0

while True:
    
    if toggle == 2:
        toggle = 0
    
    current_state = button.value  # Read the current button state

    if previous_state and not current_state:
        if toggle == 1:
            
            pot_value = pot.value
            deviation = pot_value - center
            
            if abs(deviation) > neutral_zone: #abs is removing negitave values
                
                while deviation > 0:
                    keyboard.press(Keycode.KEYPAD_SIX)
                    print(pot_value)
                else:
                    keyboard.press(Keycode.KEYPAD_FOUR)
                    print(pot_value)
            else:
                keyboard.release_all()
        else:
            if abs(deviation) > neutral_zone: #abs is removing negitave values
                
                pot_value = pot.value
                deviation = pot_value - center
                
                while deviation > 0:
                    keyboard.press(Keycode.KEYPAD_EIGHT)
                    print(pot_value)
                else:
                    keyboard.press(Keycode.KEYPAD_TWO)
                    print(pot_value)
            else:
                keyboard.release_all()

        toggle = toggle+1
        
    print(toggle)
    previous_state = current_state
            
    time.sleep(0.5)
