import board  # Import board module to access pin names
import analogio# Import analogio to work with analog inputs/outputs
import time  # Import time module to handle delays
import usb_hid
from adafruit_hid.mouse import Mouse

mouse = Mouse(usb_hid.devices)

pot = analogio.AnalogIn(board.D0)

center = 65535/2 # The center of the pot
neutral_zone = 2000 # Area on pot where there is no input
speed = 10

while True:
    pot_value = pot.value
    deviation = pot_value - center
    
    if abs(deviation) > neutral_zone: #abs is removing negitave values
        
        zoom_speed = int((abs(deviation) / (65535 / 2)) * speed)
        
        if deviation > 0:
            mouse.press(Mouse.MIDDLE_BUTTON)
            mouse.move(x=speed)
            mouse.release(Mouse.MIDDLE_BUTTON)
        else:
            mouse.press(Mouse.MIDDLE_BUTTON)
            mouse.move(x=-speed)
            mouse.release(Mouse.MIDDLE_BUTTON)
            
    time.sleep(0.05)