import board
import displayio
import terminalio
from adafruit_display_text import label
from adafruit_displayio_ssd1306 import SSD1306
import i2cdisplaybus

# Release any previously used displays
displayio.release_displays()

# Set up I2C and display
i2c = board.I2C()  # Uses GP17 (SCL) and GP16 (SDA) by default
display_bus = i2cdisplaybus.I2CDisplayBus(i2c, device_address=0x3C)
display = SSD1306(display_bus, width=128, height=64)

display.rotation = 180

# Create text label
text = "Hello World!"
text_area = label.Label(terminalio.FONT, text=text, color=0xFFFFFF, x=30, y=30)

# Show it on the screen
splash = displayio.Group()
splash.append(text_area)
display.root_group = splash  # New method in CircuitPython 9.x

while True:
    pass
